﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Threading;

namespace BenCapCam
{
    public partial class Records : Form
    {
        /***************************************
         * Function: Records()
         * Parameters: null
         * Results: Initializes Records class
         ****************************************/
        public Records()
        {
            InitializeComponent();
        }
        /****************************************
         * Function: Addlines()
         * Parameters: string x
         * Results: Adds lines to the list box
         ****************************************/
        public void Addlines(string x)
        {
            lbselect.Items.Add(x);
        }
        /***********************************************************
         * Function: btn_Open
         * Parameters: object sender, Eventargs e
         * Results: Takes file selected and displayes it on screen 
         ***********************************************************/
        private void btn_Open(object sender, EventArgs e)
        {
            string stringy;
            stringy = lbselect.Text;
            Image img = Image.FromFile(stringy);
            LpicBx.Image = img;
        }
        /**********************************************
         * Fucntion: btn_Delete
         * Paramters: object sender, EventArgs e
         * Results: Deletes selected file from list box
         ***********************************************/
        private void btn_Delete(object sender, EventArgs e)
        {
            Close();
            string stringy; 
            stringy = lbselect.Text;
            File.Delete(stringy);
        }
    }
}
